#!/usr/bin/perl

#---------------------------------------------------------------------
#----- Copyright(C) 2012 The Trustees of Indiana University
#---------------------------------------------------------------------
#----- $HeadURL: $
#----- $Id: $
#-----
#----- This script makes the Makefile for this module.  Run it using
#----- perl Makefile.PL on the command before running make.
#---------------------------------------------------------------------

use strict;
use warnings;

use ExtUtils::MakeMaker;

sub MY::postamble { <<'END'; }

rpm:  dist
	rpmbuild -ta GRNOC-TL1-$(VERSION).tar.gz
END

sub MY::test
  {
  q(
TEST_VERBOSE=1

test :  pure_all
	$(FULLPERL) t/TEST $(TEST_VERBOSE)

test_jenkins : pure_all
	$(FULLPERL) t/TEST $(TEST_VERBOSE) --formatter=TAP::Formatter::Console

    );
}

WriteMakefile(
              NAME                => 'GRNOC::TL1',
              AUTHOR              => 'GRNOC Software Engineering <globalnoc@iu.edu>',
              VERSION_FROM        => 'lib/GRNOC/TL1.pm',
              PL_FILES            => {},
              dist                => { COMPRESS => 'gzip -9f', SUFFIX => 'gz', },
              clean               => { FILES => 'GRNOC-TL1*' },
             );
